summaryrefslogtreecommitdiffstats
path: root/etc/patches/functest/disable-api-validation/apply.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/patches/functest/disable-api-validation/apply.sh')
-rwxr-xr-xetc/patches/functest/disable-api-validation/apply.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/etc/patches/functest/disable-api-validation/apply.sh b/etc/patches/functest/disable-api-validation/apply.sh
new file mode 100755
index 00000000..09ff912e
--- /dev/null
+++ b/etc/patches/functest/disable-api-validation/apply.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2019 opnfv.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+set -u
+
+# without setting the user, git does not allow to create a commit
+git config --global user.email "ovp-support@lfnetworking.org"
+git config --global user.name "Dovetail"
+
+cd /src/tempest
+git am $(dirname $0)/0001-Allow-additional-properties-in-API-responses.patch
+
+exit 0